Launch a campaign now
curl --request POST \
--url https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startIndex": 1
}
'import requests
url = "https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch"
payload = { "startIndex": 1 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startIndex: 1})
};
fetch('https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startIndex' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch"
payload := strings.NewReader("{\n \"startIndex\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"startIndex\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startIndex\": 1\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"campaignId": "<string>",
"name": "<string>",
"agentId": "<string>",
"active": true,
"scheduled": true,
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>",
"status": "<string>",
"startIndex": 123,
"contactCount": 123,
"contacts": [
{
"phoneNumber": "<string>",
"contactId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"followUp": {
"enabled": true,
"attempts": 123,
"intervalsMinutes": [
123
]
},
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
},
"warning": "<string>",
"requestId": "<string>"
}Campaigns
Launch a campaign now
Dials contacts from startIndex, or from the saved resume index when a scheduled job is replaced. Requires an active subscription with minutes remaining.
POST
/
public
/
v1
/
campaigns
/
{campaignId}
/
launch
Launch a campaign now
curl --request POST \
--url https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startIndex": 1
}
'import requests
url = "https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch"
payload = { "startIndex": 1 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startIndex: 1})
};
fetch('https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startIndex' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch"
payload := strings.NewReader("{\n \"startIndex\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"startIndex\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.callin.io/api/public/v1/campaigns/{campaignId}/launch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startIndex\": 1\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"campaignId": "<string>",
"name": "<string>",
"agentId": "<string>",
"active": true,
"scheduled": true,
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>",
"status": "<string>",
"startIndex": 123,
"contactCount": 123,
"contacts": [
{
"phoneNumber": "<string>",
"contactId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"followUp": {
"enabled": true,
"attempts": 123,
"intervalsMinutes": [
123
]
},
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
},
"warning": "<string>",
"requestId": "<string>"
}Authorizations
ApiKeyHeaderBearerAuth
Send your Callin API key in the x-api-key header.
Path Parameters
Body
application/json
Required range:
x >= 0Was this page helpful?

